k0rdent AI Docs

Create organization

Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )

Create a new customer organization (tenant).

POST
/v1/regions/global/organizations

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Request Body

application/json

id?string

Name of the resource. Must be 1-63 characters long and match the pattern a-z? — the first character must be a lowercase letter, and all following characters must be lowercase letters, digits, or hyphens, with the last character being a letter or digit. If not specified, the server will generate a name.

Match^[a-z]([-a-z0-9]*[a-z0-9])?$
Length1 <= length <= 63
displayName?string

Optional human-friendly display name for the organization.

description?string

An optional description of this resource.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/global/organizations" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/global/organizations/org-s1t2u3",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "org-s1t2u3",
  "displayName": "string",
  "description": "string"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings